{% extends "@Paa/Default/entityFormBaseGrille.html.twig" %}
{#MC 20200910 DEBUT#}
{#Partie grille des groupes#}
{% block datatable_title %}
    <th id="iidUsagerGroupe" style="display: none">Id</th>
    <th id="ddebut">De</th>
    <th id="dfin">A</th>
    <th id="igroupe">Groupe</th> 
    <th id="lparticipeauxseancesdugroupe">Participe</th>
    {% endblock %}
    {% block datatable_body %}
        {% set iRow = 0 %}
        {% for row in poEntité.listeUsagersGroupes %}
        <tr>
            <td id ="row_{{ iRow|raw }}_iidUsagerGroupe" style="display: none" name="{{ row.iidUsagerGroupe }}"> {{ row.iidUsagerGroupe }} </td>
            <td id ="row_{{ iRow|raw }}_ddebut"> {{ row.ddebut|date('d/m/Y')}} </td>
            <td id ="row_{{ iRow|raw }}_dfin"> {{ row.dfin|date('d/m/Y')}} </td> 
            <td id ="row_{{ iRow|raw }}_igroupe"> {{ row.igroupe.cnom}} </td> 
            <td id ="row_{{ iRow|raw }}_lparticipeauxseancesdugroupe"> {{ row.lparticipeauxseancesdugroupe}} </td> 
        </tr>
        {% set iRow = iRow + 1%}
    {% endfor %}
{% endblock %}

{#Formulaire de saisie de l'entité#}
{% block postGrille %}
    <div id="formulaire_DataTable_usagersGroupes" class="spliteB "></div>
{% endblock %}
{% block scriptSplit %}

    Split(['.spliteA', '.spliteB'], {
        gutterSize: 5,
        sizes: [75, 25],
        minSize: [300, 350],
    });


{% endblock %}
